#ifndef _STCDEF_H
#define _STCDEF_H

/***************************************************************************
 *
 * Definition file for ShapeUp Statistical plugins.
 *
 ***************************************************************************/

#include <tchar.h>

#define STATISTICS_PLUGIN_INTERFACE_VERSION 1

/***************************************************************************
 *
 * The following section contains functions that must be implemented.
 *
 ***************************************************************************/

const wchar_t* __cdecl
	fnGetName
		(
			void
		);

const wchar_t* __cdecl
	fnGetDescription
		(
			void
		);

bool __cdecl
	fnPushValue
		(
			const char *pszValue
		);

const char* __cdecl
	fnCalculate
		(
			void
		);

size_t __cdecl
	fnVersion
		(
			void // Current version is STATISTICS_PLUGIN_INTERFACE_VERSION
		);

/***************************************************************************
 *
 * The following section contains functions that are optionally implemented.
 *
 ***************************************************************************/

void _cdecl
	fnPreCalculate
		(
			void
		);

const wchar_t* __cdecl
	fnGetInfo
		(
			void
		);

void __cdecl
	fnSettings
		(
			void
		);

HBITMAP _cdecl
	fnToolbarBitmap
		(
			void
		);


#endif /* _STCDEF_H */
